From: Leonard Crestez <leonard.crestez@nxp.com>
Date: Tue, 12 Nov 2019 22:55:11 +0200
Subject: arm64: dts: imx8m: Add fsl,ddr-pmu to ddrc nodes

The imx8m-ddrc driver can dynamically measure memory usage using ddr
pmu. Enable this by adding a "fsl,ddr-pmu" phandle reference.

Signed-off-by: Leonard Crestez <leonard.crestez@nxp.com>
---
 arch/arm64/boot/dts/freescale/imx8mm.dtsi | 3 ++-
 arch/arm64/boot/dts/freescale/imx8mn.dtsi | 3 ++-
 arch/arm64/boot/dts/freescale/imx8mq.dtsi | 3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/arch/arm64/boot/dts/freescale/imx8mm.dtsi b/arch/arm64/boot/dts/freescale/imx8mm.dtsi
index 54faf83..def6d09 100644
--- a/arch/arm64/boot/dts/freescale/imx8mm.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mm.dtsi
@@ -1479,9 +1479,10 @@ ddrc: memory-controller@3d400000 {
 				 <&clk IMX8MM_DRAM_PLL>,
 				 <&clk IMX8MM_CLK_DRAM_ALT>,
 				 <&clk IMX8MM_CLK_DRAM_APB>;
+			fsl,ddr-pmu = <&ddr_pmu>;
 		};
 
-		ddr-pmu@3d800000 {
+		ddr_pmu: ddr-pmu@3d800000 {
 			compatible = "fsl,imx8mm-ddr-pmu", "fsl,imx8m-ddr-pmu";
 			reg = <0x3d800000 0x400000>;
 			interrupts = <GIC_SPI 98 IRQ_TYPE_LEVEL_HIGH>;
diff --git a/arch/arm64/boot/dts/freescale/imx8mn.dtsi b/arch/arm64/boot/dts/freescale/imx8mn.dtsi
index 1bb1d0c..fb1f28e 100644
--- a/arch/arm64/boot/dts/freescale/imx8mn.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mn.dtsi
@@ -1299,9 +1299,10 @@ ddrc: memory-controller@3d400000 {
 				 <&clk IMX8MN_DRAM_PLL>,
 				 <&clk IMX8MN_CLK_DRAM_ALT>,
 				 <&clk IMX8MN_CLK_DRAM_APB>;
+			fsl,ddr-pmu = <&ddr_pmu>;
 		};
 
-		ddr-pmu@3d800000 {
+		ddr_pmu: ddr-pmu@3d800000 {
 			compatible = "fsl,imx8mn-ddr-pmu", "fsl,imx8m-ddr-pmu";
 			reg = <0x3d800000 0x400000>;
 			interrupts = <GIC_SPI 98 IRQ_TYPE_LEVEL_HIGH>;
diff --git a/arch/arm64/boot/dts/freescale/imx8mq.dtsi b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
index 843b143..01f4120 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq.dtsi
@@ -1932,9 +1932,10 @@ ddrc: memory-controller@3d400000 {
 				 <&clk IMX8MQ_CLK_AHB>,
 				 <&clk IMX8MQ_CLK_25M>,
 				 <&clk IMX8MQ_SYS2_PLL_333M>;
+			fsl,ddr-pmu = <&ddr_pmu>;
 		};
 
-		ddr-pmu@3d800000 {
+		ddr_pmu: ddr-pmu@3d800000 {
 			compatible = "fsl,imx8mq-ddr-pmu", "fsl,imx8m-ddr-pmu";
 			reg = <0x3d800000 0x400000>;
 			interrupt-parent = <&gic>;
